clean:
	rm -rf dist || true
	rm -rf ../dist || true
	rm -rf node_modules || true

node_modules:
	npm ci

all: clean node_modules
	npx esbuild ./src/index.ts \
		--bundle \
		--outfile=dist/index.js \
		--bundle \
		--minify \
		--platform=node \
		--target=es2020;